- Qt 6.7
- Qt Sensors
- QML Types
- RotationSensor
- Qt 6.7.0 Reference Documentation

# RotationSensor QML Type

The RotationSensor element reports on device rotation around the X, Y and Z axes. More...

Import Statement: | import QtSensors
Since: | QtSensors 5.0
Inherits: | Sensor

- List of all members, including inherited members

## Properties

- hasZ : bool

## Detailed Description

The RotationSensor element reports on device rotation around the X, Y and Z axes.

This element wraps the QRotationSensor class. Please see the documentation for QRotationSensor for details.

See also RotationReading.

## Property Documentation

hasZ : bool

This property holds a value indicating if the z angle is available.

Please see QRotationSensor::hasZ for information about this property.